import subprocess

# 调用script1.sh
result = subprocess.run(['./script1.sh'], shell=False, stdout=subprocess.PIPE, stderr=subprocess.PIPE, text=True)

# 检查返回码
if result.returncode == 0:
    print("script1.sh 执行成功")
    # 调用script2.sh
    result2 = subprocess.run(['./script2.sh'], shell=False, stdout=subprocess.PIPE, stderr=subprocess.PIPE, text=True)
    print("script2.sh 执行成功")
else:
    print("script1.sh 执行失败")
    print(f"错误输出: {result.stderr}")